## zabbix 2.0.6+dfsg

=== debian/changelog ===
zabbix (1:2.0.6+dfsg-1ubuntu2) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 14:15:52 +0100

zabbix (1:2.0.6+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 29 Apr 2013 15:08:24 -0400

zabbix (1:2.0.6+dfsg-1) unstable; urgency=low

  * New upstream release [April 2013].
  * Removed unnecessary versioned dependencies.
  * Corrected license name "MIT" --> "Expat".
  * Updated my email address.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Apr 2013 14:00:51 +1000

=== debian/control ===
Source: zabbix
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>, Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), automake1.9, dh-autoreconf
 ,libcurl4-gnutls-dev | libcurl3-gnutls-dev
 ,libgcrypt-dev
 ,libiksemel-dev
 ,libldap2-dev
 ,libmysqlclient-dev
# libopenipmi-dev is not available on some architectures
 ,libopenipmi-dev [!hurd-any !arm]
 ,libpq-dev
 ,libsnmp9-dev | libsnmp-dev
 ,libsqlite3-dev
 ,libssh2-1-dev
Standards-Version: 3.9.4
Homepage: http://zabbix.com
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git

Package: zabbix-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, adduser, lsb-base
Suggests: logrotate
Description: network monitoring solution - agent
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent.

Package: zabbix-frontend-php
Architecture: all
Depends: ${misc:Depends}, ucf, apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, php5-gd, ttf-dejavu-core
Suggests: libapache2-mod-php5 | php5-fpm, php5-pgsql | php5-mysql
Description: network monitoring solution - PHP front-end
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides a web-browsable front-end to the Zabbix server, which
 can display graphs of the data collected from clients.

Package: zabbix-proxy-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a MySQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql
Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Suggests: logrotate
Description: network monitoring solution - proxy (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a PostgreSQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using SQLite3)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in an SQLite3 database and then passes it to a Zabbix server.

Package: zabbix-server-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server, snmpd
Suggests: zabbix-frontend-php, logrotate
Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 MySQL database.

Package: zabbix-server-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql, snmpd
Suggests: zabbix-frontend-php, logrotate
Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 PostgreSQL database.

#Package: zabbix-server-sqlite3
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
#Recommends: snmpd
#Suggests: logrotate
#Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
#Description: network monitoring solution - server (using SQLite3)
# Zabbix is a server/client network monitoring system with many features.
# It can be used for:
# .
#  - high level monitoring of IT services;
#  - centralized monitoring of your servers and applications;
#  - monitoring of SNMP-enabled devices;
#  - performance monitoring (process load, network activity, disk
#    activity, memory usage, OS parameters etc.);
#  - data visualization.
# .
# This package provides the software needed to integrate a host as a Zabbix
# client. It collects information from Zabbix clients and stores it in a
# Sqlite3 file/database
# .
# Warning: zabbix-server/SQLite3 is experimental and may be unstable.
# Upstream do not support it.
# KNOWN BUG: Causing deadlock with frontend-php.

## zabbix 2.2.0+dfsg

=== debian/changelog ===
zabbix (1:2.2.0+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Sun, 17 Nov 2013 21:34:40 -0700

zabbix (1:2.2.0+dfsg-1) unstable; urgency=low

  * New major upstream release [November 2013].
    - dropped obsolete backported "ZBX-4986.patch"; refreshed other patches.
  * Addedd NEWS notes about automatic DB schema upgrade.
  * Removed "upgrading the database" note from README.
  * No longer ship "patch.sql"; dropped "sql-upgrades-path.patch".
  * Removed obsolete symlink to "/etc/zabbix/zabbix.conf.php"
    and corresponding lintian-override.
  * get-orig-source to remove windows .dll and .lib files from orig.tar.
  * Build with "--with-libxml2"; added "libxml2-dev" to Build-Depends.
  * Standards updated to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2013 18:59:16 +1100

zabbix (1:2.0.9+dfsg-1) unstable; urgency=low

  * New upstream release [October 2013]
    - dropped backported "ZBX-7091.patch".
  * Added *.ttf license/copyright paragraph to "debian/copyright".
  * Print contents of DEB_BUILD_OPTIONS on build-time.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Oct 2013 13:53:47 +1100

zabbix (1:2.0.8+dfsg-2) unstable; urgency=high

  * New "ZBX-7091.patch" to fix SQL injection vulnerability CVE-2013-5743.
  * Build-Depends: automake1.9 --> automake (Closes: 724448)
    Thanks, Eric Dorland.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 15:45:48 +1000

zabbix (1:2.0.8+dfsg-1) unstable; urgency=low

  * New upstream release [August 2013].
  * Build with "unixodbc-dev" and "--with-unixodbc".
  * frontend-php to Recommend "php5-ldap" which is needed for LDAP auth.
  * Dropped "ZBX-5924.patch" (applied-upstream).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Aug 2013 05:37:20 +1000

zabbix (1:2.0.7+dfsg-1) unstable; urgency=low

  * New upstream release [July 2013].
  * New "ZBX-5924.patch" to fix CVE-2012-6086 (Closes: #697443).
  * Fixed proxy restart issue by adding PidFile to "zabbix_proxy.conf"
    (Closes: #718246).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Aug 2013 18:53:28 +1000

zabbix (1:2.0.6+dfsg-2) unstable; urgency=low

  * "basename.patch" replaced with backported "ZBX-4986.patch".
  * Dropped obsolete "libcurl3-gnutls-dev" alternative from Build-Depends.
  * frontend-php:
    - "php5-pgsql | php5-mysql" removed from Suggests.
      since those packages are already in Depends;
    + promote "php5-pgsql" as first alternative in Depends because
      "SQL database" in tasksel installs PostgreSQL.
  * With their consent, removed
       Fabio Tranchitella <kobold@debian.org>
    and
       Michael Ablassmeier <abi@debian.org>
    from Uploaders. Thanks for your contribution, good fellows. :)
  * Source "/etc/default/rcS" instead of "/lib/init/vars.sh" in init
    scripts (lintianisation: "W: init.d-script-call-internal-API").
  * Reference get-orig-source implementation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Jul 2013 03:33:23 +1000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
-Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), automake1.9, dh-autoreconf
- ,libcurl4-gnutls-dev | libcurl3-gnutls-dev
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 9), automake, dh-autoreconf
+ ,libcurl4-gnutls-dev
  ,libgcrypt-dev
  ,libiksemel-dev
  ,libldap2-dev
@@ -16,7 +16,9 @@
  ,libsnmp9-dev | libsnmp-dev
  ,libsqlite3-dev
  ,libssh2-1-dev
-Standards-Version: 3.9.4
+ ,libxml2-dev
+ ,unixodbc-dev
+Standards-Version: 3.9.5
 Homepage: http://zabbix.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git
@@ -41,8 +43,14 @@
 
 Package: zabbix-frontend-php
 Architecture: all
-Depends: ${misc:Depends}, ucf, apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, php5-gd, ttf-dejavu-core
-Suggests: libapache2-mod-php5 | php5-fpm, php5-pgsql | php5-mysql
+Depends: ${misc:Depends}, ucf
+        ,apache2 | httpd
+        ,php5
+        ,php5-gd
+        ,php5-pgsql | php5-mysql | php5-sqlite
+        ,ttf-dejavu-core
+Recommends: php5-ldap
+Suggests: libapache2-mod-php5 | php5-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:

=== debian/rules ===
#!/usr/bin/make -f

# Enable this export to get more detailed information about what debhelper does
#export DH_VERBOSE=1

## Define the names of the resulting binary packages
PKG_AGENT = zabbix-agent
PKG_FRONTEND = zabbix-frontend-php
PKG_PROXY_MYSQL = zabbix-proxy-mysql
PKG_PROXY_PGSQL = zabbix-proxy-pgsql
PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
PKG_SERVER_MYSQL = zabbix-server-mysql
PKG_SERVER_PGSQL = zabbix-server-pgsql
PKG_SERVER_SQLITE3 = zabbix-server-sqlite3

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Squeeze backporters: --export=configure is not available on Squeeze
#DPKG_BUILDFLAGS := $(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

CONFFLAGS_COMMON  = --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
                    --datadir=/etc \
                    --sysconfdir=/etc/zabbix \
                    --prefix=/usr \
                    --infodir=\$${prefix}/share/info \
                    --mandir=\$${prefix}/share/man \
                    --enable-agent \
                    --enable-proxy \
                    --enable-server \
                    --enable-ipv6 \
                    --with-jabber \
                    --with-ldap \
                    --with-libcurl \
                    --with-libxml2 \
                    --with-net-snmp \
                    --with-ssh2 \
                    --with-unixodbc

CONFFLAG_IPMI           = $(if $(shell dpkg --status libopenipmi-dev &>/dev/null),--with-openipmi)
CONFFLAG_SERVER_MYSQL   = --with-mysql
CONFFLAG_SERVER_PGSQL   = --with-postgresql
CONFFLAG_SERVER_SQLITE3 = --with-sqlite3
BUILD_PREFIX := $(CURDIR)/debian/tmp-build

# The Zabbix sources are compiled once for each database backends (VARIANT).
# The proxy and server packages always contain one kind of database support.
# The zabbix-agent and zabbix-frontend-php package do not have any kind of
# database support and are created from one of the above mentioned builds.
VARIANTS := MYSQL PGSQL SQLITE3

%:
	dh $@ --parallel --max-parallel=4 --with autoreconf

override_dh_clean:
	@echo Removing build directories in $(BUILD_PREFIX)
	$(RM) -r debian/tmp* config.log
	dh_clean

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)
	## Copy the source directory (without the 'debian' directory) to build locations
	## to configure and compile the sources there for each database flavor.
	for i in $(VARIANTS); do \
		mkdir $(BUILD_PREFIX)-$$i ;\
		tar -cSf - --exclude=./.svn --exclude=./debian . \
		| tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
	done

override_dh_auto_configure:
	$(foreach i,$(VARIANTS), \
        dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
            $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) \
    ;)

override_dh_auto_build:
	$(foreach i,$(VARIANTS), \
        dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
    ;)

override_dh_auto_install:
	## build man pages
	dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
          --destdir=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for i in debian/zabbix-*-*; do \
	    find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
	        -exec gzip -9 '{}' \;;\
	done

override_dh_installinit:
	dh_installinit -p $(PKG_AGENT)
	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy
	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy
	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy
	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server
	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server
	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server

override_dh_builddeb:
	dh_builddeb -- -Zxz

## http://wiki.debian.org/onlyjob/get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*(?:\d:)?([\d\.]+)}')
DTYPE = +dfsg
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	# Fix permissions (some images files are executable in orig.tars)
	find $(PKG)-$(VER)/frontends/php/images -type f -executable -print -exec chmod a-x '{}' \;
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
        && find . -type f -name '*.exe' -delete -printf 'removed %p\n' \
        && $(RM) -r -v \
            bin/win*/dev/*.dll \
            bin/win*/dev/*.lib \
            frontends/php/images/flash \
            src/zabbix_java/lib/*.jar
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

## zabbix 2.2.2+dfsg

=== src/modules/dummy/Makefile ===
dummy: dummy.c
	gcc -shared -o dummy.so dummy.c -I../../../include

=== debian/changelog ===
zabbix (1:2.2.2+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.
    - debian/control:
      - Fix FTBFS by B-D on libgcrypt11-dev | libgcrypt20-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 17 Feb 2014 00:00:11 +0100

zabbix (1:2.2.2+dfsg-1) unstable; urgency=high

  * New upstream release [February 2014].
    + CVE-2014-1682 (ZBX-7703) fixed vulnerability allowing to impersonate
      other users without proper credentials when using HTTP authentication
      (Closes: #737818).
    + CVE-2013-5572 (ZBX-6721) fixed LDAP authentication.
    + CVE-2014-1685 (ZBX-7693) restrict admin's ability to update media
      for other users.
  * Dropped "build_modernise-automake.patch" (applied-upstream).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Feb 2014 21:57:26 +1100

zabbix (1:2.2.1+dfsg-1ubuntu3) trusty; urgency=low

  * debian/control: Hopefully, fixing FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 23:50:59 +0100

zabbix (1:2.2.1+dfsg-1ubuntu2) trusty; urgency=low

  * debian/control: Replace non-existing libgcrypt-dev with
    libgcrypt20-dev | libgcrypt11-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 12 Feb 2014 22:09:00 +0100

zabbix (1:2.2.1+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1277268) Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 11 Feb 2014 23:45:35 +0100

zabbix (1:2.2.1+dfsg-1) unstable; urgency=low

  * New upstream release [December 2013].
    + patches dropped:
      - ZBX-7479.patch
      - build_fix-hostname-FTBFS.patch
    + patches updated:
      + build_modernise-automake.patch
      + config_frontend-conffile-in-etc.patch
      + openssl2gcrypt.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2013 10:15:55 +1100

zabbix (1:2.2.0+dfsg-6ubuntu1) trusty; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.
  * New package from upstream, zabbix-java-gateway. LP: #1062217

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Thu, 12 Dec 2013 14:59:33 +0700

zabbix (1:2.2.0+dfsg-6) unstable; urgency=high

  * CVE-2013-6824: new upstream patch "ZBX-7479.patch" to fix command
    injection vulnerability in Agent.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Dec 2013 15:25:24 +1100

zabbix (1:2.2.0+dfsg-5) unstable; urgency=low

  * Build "zabbix-java-gateway" using "jh_build" from "build-indep" target;
    removed "--enable-java" from build options; moved java-related
    Build-Depends to Build-Depends-Indep.
    Thanks to those changes Java no longer needed when only architecture
    dependent packages are built (e.g. on buildd servers).
  * Added note regarding building "zabbix-java-gateway" to README.source.
  * java-gateway: dropped obsolete directory "/etc/logrotate.d".
  * init: minor cleanup & corrections.
  * java-gateway.init: restart improvements: check if service really stopped;
    wait up to 5 sec. (if necessary) after stop before attempting to start
    service again; exit with error code if daemon didn't stop.
  * java-gateway.init: don't pass "--exec $DAEMON" on stop to fix daemon
    restart after "/usr/bin/java" switched to another alternative.
  * zabbix_java_gateway.conf template extended with JAVA_OPTIONS.
    Use case: pass something like "-Xmx256m" to limit daemon memory usage
    which can be too high by default.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Nov 2013 02:25:14 +1100

zabbix (1:2.2.0+dfsg-4) unstable; urgency=low

  * Don't build with "--enable-java" on Hurd and kFreeBSD architectures
    due to compilation errors from Java 1.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Nov 2013 21:44:55 +1100

zabbix (1:2.2.0+dfsg-3) unstable; urgency=low

  * "debian/rules" to check for existence of arch-all package before
    attempting to manipulate files in it. This is necessary to avoid FTBFS
    on buildd servers where only architecture dependent packages are built.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Nov 2013 18:08:30 +1100

zabbix (1:2.2.0+dfsg-2) unstable; urgency=low

  * New binary package "zabbix-java-gateway".
    + build with "--enable-java".
    + new Build-Depends:
      + default-jdk
      + javahelper
      + libandroid-json-org-java
      + liblogback-java
      + libslf4j-java
      + junit4
  * Minor updates to "rules" and config file comments.
  * Patchworks:
    + patches sorted and re-named.
    + new patch to debianise java-gateway.
    + new patch to fix FTBFS on non-Linux architectures.
    + new patch to modernise automake setup in "configure.in".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Nov 2013 05:49:54 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), automake, dh-autoreconf
  ,libcurl4-gnutls-dev
- ,libgcrypt-dev
+ ,libgcrypt11-dev | libgcrypt20-dev
  ,libiksemel-dev
  ,libldap2-dev
  ,libmysqlclient-dev
@@ -18,6 +18,13 @@
  ,libssh2-1-dev
  ,libxml2-dev
  ,unixodbc-dev
+## java-gateway deps:
+ ,javahelper
+Build-Depends-Indep: default-jdk
+                    ,libandroid-json-org-java
+                    ,liblogback-java
+                    ,libslf4j-java
+                    ,junit4
 Standards-Version: 3.9.5
 Homepage: http://zabbix.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
@@ -64,6 +71,24 @@
  .
  This package provides a web-browsable front-end to the Zabbix server, which
  can display graphs of the data collected from clients.
+
+Package: zabbix-java-gateway
+Architecture: all
+Depends: ${java:Depends}, ${misc:Depends}, adduser, lsb-base
+Recommends: ${java:Recommends}
+Description: network monitoring solution - Java gateway
+ Zabbix is a server/client network monitoring system with many features.
+ It can be used for:
+ .
+  - high level monitoring of IT services;
+  - centralized monitoring of your servers and applications;
+  - monitoring of SNMP-enabled devices;
+  - performance monitoring (process load, network activity, disk
+    activity, memory usage, OS parameters etc.);
+  - data visualization.
+ .
+ This package provides the software needed to monitor Java applications
+ using a Zabbix Java gateway. It collects information from JMX agent.
 
 Package: zabbix-proxy-mysql
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 ## Define the names of the resulting binary packages
 PKG_AGENT = zabbix-agent
 PKG_FRONTEND = zabbix-frontend-php
+PKG_GATEWAY_JAVA = zabbix-java-gateway
 PKG_PROXY_MYSQL = zabbix-proxy-mysql
 PKG_PROXY_PGSQL = zabbix-proxy-pgsql
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
@@ -53,6 +54,12 @@
                     --with-ssh2 \
                     --with-unixodbc
 
+## Hurd and kFreeBSD only have Java 1.5 which can't compile java-gateway sources...
+#ifneq ($(DEB_BUILD_ARCH_OS),hurd)
+#ifneq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+#CONFFLAGS_COMMON += --enable-java
+#endif
+#endif
 CONFFLAG_IPMI           = $(if $(shell dpkg --status libopenipmi-dev &>/dev/null),--with-openipmi)
 CONFFLAG_SERVER_MYSQL   = --with-mysql
 CONFFLAG_SERVER_PGSQL   = --with-postgresql
@@ -66,7 +73,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper
 
 override_dh_clean:
 	@echo Removing build directories in $(BUILD_PREFIX)
@@ -96,6 +103,13 @@
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
+build-indep:
+	## build zabbix-java-gateway.jar
+	## override_jh_build:
+	JAVA_HOME=/usr/lib/jvm/default-java \
+        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
+
 override_dh_auto_install:
 	## build man pages
 	dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
@@ -107,9 +121,22 @@
 	    find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
 	        -exec gzip -9 '{}' \;;\
 	done
+	## Those files need to be renamed:
+	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
+            cp -v src/zabbix_java/lib/logback.xml  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.logback.xml ;\
+            cp -v src/zabbix_java/settings.sh  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.conf ;\
+        fi
+
+override_jh_depends:
+	## make sure java-gateway.jar is executable. This is needed for jh_depends to generate correct {java:Depends}
+	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
+            chmod -v +x $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/usr/sbin/*.jar ;\
+        fi
+	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
 override_dh_installinit:
 	dh_installinit -p $(PKG_AGENT)
+	dh_installinit -p $(PKG_GATEWAY_JAVA)
 	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy
 	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy

=== debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate DFSG-repackaged archive.

version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/zabbix/zabbix-([0-9.]*)\.tar\.gz

## zabbix 2.2.5+dfsg

=== debian/changelog ===
zabbix (1:2.2.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disabled "zabbix-java-gateway" and all corresponding Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Jul 2014 03:47:14 +1000

zabbix (1:2.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2014] (Closes: #754271).
    - fixed CVE-2014-3005: local file inclusion via XXE (Closes: #751910).
    - removed PHP-licensed code (Closes: #752627).
    - don't use deprecated function "mbstring.internal_encoding"
      (Closes: #749707).
  * zabbix-agent: Depends: +pciutils; Recommends: +usbutils (Closes: #744385).
  * Added "debian/gbp.conf".
  * Build-Depends:
    + "libgcrypt-dev" --> "libgcrypt20-dev | libgcrypt-dev".
    + "pkg-config".
  * Replace source-less minified .js files on build-time;
    added "source-is-missing" lintian-overrides; updated "debian/copyright".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Jul 2014 03:16:47 +1000

zabbix (1:2.2.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].
  * zabbix-server-* packages to suggest "snmp-mibs-downloader" that may be
    needed when SNMP MIBs are missing (Closes: #740815).
  * README.Debian: improved Apache2 and Nginx configuration instructions
    (Closes: #740734); Thanks, Harald Dunkel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Apr 2014 14:22:06 +1000

zabbix (1:2.2.2+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disabled "zabbix-java-gateway" and all corresponding Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Mar 2014 14:30:17 +1100

zabbix (1:2.0.9+dfsg-1~bpo70+2) wheezy-backports; urgency=high

  * CVE-2013-6824: new upstream patch "ZBX-7479.patch" to fix command
    injection vulnerability in Agent.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Dec 2013 14:47:37 +1100

zabbix (1:2.0.9+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Nov 2013 00:26:01 +1100

zabbix (1:2.0.8+dfsg-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 16:35:30 +1000

zabbix (1:2.0.8+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Sep 2013 14:52:14 +1000

zabbix (1:2.0.6+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 May 2013 12:46:10 +1000

=== debian/control ===
Source: zabbix
Section: net
Priority: optional
Maintainer: Christoph Haas <haas@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), automake, dh-autoreconf
 ,libcurl4-gnutls-dev
 ,libgcrypt20-dev | libgcrypt-dev
 ,libiksemel-dev
 ,libldap2-dev
 ,libmysqlclient-dev
# libopenipmi-dev is not available on some architectures
 ,libopenipmi-dev [!hurd-any !arm]
 ,libpq-dev
 ,libsnmp9-dev | libsnmp-dev
 ,libsqlite3-dev
 ,libssh2-1-dev
 ,libxml2-dev
 ,pkg-config
 ,unixodbc-dev
## java-gateway deps:
# ,javahelper
#Build-Depends-Indep: default-jdk
#                    ,libandroid-json-org-java
#                    ,liblogback-java
#                    ,libslf4j-java
#                    ,junit4
Standards-Version: 3.9.5
Homepage: http://zabbix.com
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git

Package: zabbix-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, adduser, lsb-base
        ,pciutils
Recommends: usbutils
Suggests: logrotate
Description: network monitoring solution - agent
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent.

Package: zabbix-frontend-php
Architecture: all
Depends: ${misc:Depends}, ucf
        ,apache2 | httpd
        ,php5
        ,php5-gd
        ,php5-pgsql | php5-mysql | php5-sqlite
        ,ttf-dejavu-core
Recommends: php5-ldap
Suggests: libapache2-mod-php5 | php5-fpm
Description: network monitoring solution - PHP front-end
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides a web-browsable front-end to the Zabbix server, which
 can display graphs of the data collected from clients.

#Package: zabbix-java-gateway
#Architecture: all
#Depends: ${java:Depends}, ${misc:Depends}, adduser, lsb-base
#Recommends: ${java:Recommends}
#Description: network monitoring solution - Java gateway
# Zabbix is a server/client network monitoring system with many features.
# It can be used for:
# .
#  - high level monitoring of IT services;
#  - centralized monitoring of your servers and applications;
#  - monitoring of SNMP-enabled devices;
#  - performance monitoring (process load, network activity, disk
#    activity, memory usage, OS parameters etc.);
#  - data visualization.
# .
# This package provides the software needed to monitor Java applications
# using a Zabbix Java gateway. It collects information from JMX agent.

Package: zabbix-proxy-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a MySQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql
Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Suggests: logrotate
Description: network monitoring solution - proxy (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a PostgreSQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using SQLite3)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in an SQLite3 database and then passes it to a Zabbix server.

Package: zabbix-server-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server, snmpd
Suggests: zabbix-frontend-php, logrotate
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 MySQL database.

Package: zabbix-server-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql, snmpd
Suggests: zabbix-frontend-php, logrotate
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 PostgreSQL database.

#Package: zabbix-server-sqlite3
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
#Recommends: snmpd
#Suggests: logrotate
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
#         ,snmp-mibs-downloader
#Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
#Description: network monitoring solution - server (using SQLite3)
# Zabbix is a server/client network monitoring system with many features.
# It can be used for:
# .
#  - high level monitoring of IT services;
#  - centralized monitoring of your servers and applications;
#  - monitoring of SNMP-enabled devices;
#  - performance monitoring (process load, network activity, disk
#    activity, memory usage, OS parameters etc.);
#  - data visualization.
# .
# This package provides the software needed to integrate a host as a Zabbix
# client. It collects information from Zabbix clients and stores it in a
# Sqlite3 file/database
# .
# Warning: zabbix-server/SQLite3 is experimental and may be unstable.
# Upstream do not support it.
# KNOWN BUG: Causing deadlock with frontend-php.

=== debian/rules ===
--- 
+++ 
@@ -73,16 +73,25 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper
+	dh $@ --parallel --max-parallel=4 --with autoreconf
+#,javahelper
 
 override_dh_clean:
-	@echo Removing build directories in $(BUILD_PREFIX)
+	@echo "Removing build directories in $(BUILD_PREFIX)"
 	$(RM) -r debian/tmp* config.log
+	@echo "Removing sourceless (minified) bundled libraries..."
+	$(RM) -v frontends/php/js/jquery/jquery.js \
+                 frontends/php/js/jquery/jquery-ui.js \
+                 frontends/php/js/vendors/activity-indicator.js
 	dh_clean
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
+	@echo "Replacing sourceless (minified) bundled libraries..."
+	cp -vfH debian/patches/missing-source/jquery.js  frontends/php/js/jquery/jquery.js
+	cp -vfH debian/patches/missing-source/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
+	cp -vfH debian/patches/missing-source/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
 	dh_autoreconf $(DH_AS_NEEDED)
 	## Copy the source directory (without the 'debian' directory) to build locations
 	## to configure and compile the sources there for each database flavor.
@@ -103,12 +112,12 @@
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
-build-indep:
-	## build zabbix-java-gateway.jar
-	## override_jh_build:
-	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
-        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
+#build-indep:
+#	## build zabbix-java-gateway.jar
+#	## override_jh_build:
+#	JAVA_HOME=/usr/lib/jvm/default-java \
+#        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+#        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
 	## build man pages
@@ -176,5 +185,3 @@
             src/zabbix_java/lib/*.jar
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
-        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "$(PKG)-$(VER)"
